if (PACKAGE_map-agent)

menu "Configurations"

config AGENT_SYNC_DYNAMIC_CNTLR_CONFIG
	bool "Support Dynamic Controller configuration sync"
	default y if MULTIAP_DYNAMIC_CNTLR_SYNC_CONFIG

config AGENT_ISLAND_PREVENTION
	bool "Support Island Prevention"
	default y

config AGENT_EASYMESH_R2_CERT
	bool "Compile for WFA test bed"

config AGENT_EASYMESH_VERSION
	int "Support Easymesh version"
	default 6

config AGENT_EASYMESH_VENDOR_EXT
	bool "Enable extra features through Easymesh vendor extension"
	default y

config AGENT_EASYMESH_VENDOR_EXT_OUI_DEFAULT
	hex "Vendor OUI default"
	default 0xB456FA

config AGENT_EASYMESH_VENDOR_EXT_OUI
	hex "Vendor OUI in 0xAABBCC format"
	default AGENT_EASYMESH_VENDOR_EXT_OUI_DEFAULT
	help
	Extra features not covered by the base EasyMesh specification can be
	enabled through AGENT_EASYMESH_VENDOR_EXT. Please provide the Vendor's OUI
	through which such features would be exposed.

config AGENT_UNAUTHORIZED_STA_IN_ASSOCLIST
	bool "Create STA entry before authorization is completed"

config AGENT_CHANSWITCH_SKIP_DFS_UNAVAILABLE
	bool "Skip DFS unavailable channels when channel switch"

config AGENT_LOCAL_ACS_SERVICE
	bool "Enable loacal ACS daemon usage"

config AGENT_STRICT_OPER_CHANNEL_REPORT
	bool "Report operation channel strictly, skip some unsolicited reports"

config AGENT_WIRELESS_EXPLICIT_RELOAD
	bool "Reload wireless after UCI commit"

config AGENT_OPER_CHANNEL_CHANGE_RELAY_MCAST
	bool "Use config opt to determine if Oper Channel Report CMDU is send as relayed multicast or directly to controller"
	default y

config AGENT_USE_LIBDPP
	bool "Depend on libdpp for DPP EasyConnect"

config AGENT_ZEROTOUCH_DPP
	bool "Enable Zero-touch DPP bootstrapping. Depends on libztdpp.so"
	default n

config AGENT_CHECK_PARTIAL_WIFI_RELOAD
	bool "Option that allow SSID/PSK simple reload"
	default y

config DYNBHD_DYNAMICALLY_PERSIST_CONTROLLER
	bool "Let dynbhd through AP-Autoconfiguration Search and DHCP Discovery determine the controller or agent role"

config AGENT_UNASSOC_STA_CONT_MONITOR
	bool "Enable continuos monitoring of unassociated clients"
	default n

endmenu
endif
